UDAV(4)

NAME
udav - Davicom DM9601 10/100 USB Ethernet device

SYNOPSIS
udav* at uhub?
amphy* at mii?

DESCRIPTION
The udav driver provides support for USB Ethernet adapters based on the Davicom DM9601 USB-ether bridge chip.

The udav driver supports the following adapters:

Corega FEther USB-TXC
HenTong WK-668
Konig CMP-NWUSB10
ShanTou ST268
ShanTou ZT6688
ShanTou ADM8515

The udav driver also supports CoreChip RD9700. As many of these units ship with the same MAC address, it is highly recommended to use ifconfig(8) lladdr to set the address manually, or lladdr random to assign a random address.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
amphy(4), arp(4), ifmedia(4), mii(4), netintro(4), uhub(4), usb(4), hostname.if(5), ifconfig(8) Davicom DM9601 data sheet, http://www.davicom.com.tw/big5/download/Data%20Sheet/DM9601-DS-P01-930914.pdf.

HISTORY
The udav device driver first appeared in OpenBSD 3.7.

AUTHORS
-nosplit The udav driver was written by Shingo WATANABE <nabe@nabechan.org> and ported to OpenBSD by Jonathan Gray <jsg@openbsd.org>.

RD9700 support by Takayoshi SASANO <uaa@uaa.org.uk>.

BUGS
The RD9700 sometimes lacks zero-length packets to terminate USB trancactions, which can cause USB IOERRORs.